Skip to content

Get User

GET
/api/Users/{id}
curl --request GET \
--url https://example.com/api/Users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Returns full detail for a single staff user.

id
required
string format: uuid

The user’s unique identifier.

User detail.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
email
string
nullable
firstName
string
nullable
lastName
string
nullable
fullName
string
nullable
role
string
Allowed values: Owner Admin Staff Viewer
isActive
boolean
lastLoginAt
string format: date-time
nullable
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"role": "Owner"
}

No user with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}